| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
WriteParams Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module.

This class contains additional information of a CacheChange. More...

`#include <WriteParams.hpp>`

## Classes

struct | UserWriteData
| Base class storing custom information in the WriteParams structure for later filtering. More...

## Public Member Functions

WriteParams & | sample_identity (const SampleIdentity &sample_id)
| Set the value of the sample_identity member.
WriteParams & | sample_identity (SampleIdentity &&sample_id)
| Set the value of the sample_identity member.
const SampleIdentity & | sample_identity () const
| Get the value of the sample_identity member.
SampleIdentity & | sample_identity ()
| Set the value of the sample_identity member.
WriteParams & | related_sample_identity (const SampleIdentity &sample_id)
| Set the value of the related_sample_identity member of this class.
WriteParams & | related_sample_identity (SampleIdentity &&sample_id)
| Set the related_sample_identity member of this class.
const SampleIdentity & | related_sample_identity () const
| Get the value of the related_sample_identity member.
SampleIdentity & | related_sample_identity ()
| Set the value of the related_sample_identity member.
Time_t | source_timestamp () const
| Get the value of the source_timestamp member.
Time_t & | source_timestamp ()
| Set the value of the source_timestamp member.
WriteParams & | source_timestamp (const Time_t &timestamp)
| Set the source_timestamp member of this class.
WriteParams & | source_timestamp (Time_t &&timestamp)
| Set the source_timestamp member of this class.
std::shared_ptr< UserWriteData > | user_write_data () const
| Retrieves the user write data.
WriteParams & | user_write_data (std::shared_ptr< UserWriteData > write_data)
| Set the user write data.
bool | has_more_replies () const
WriteParams & | has_more_replies (bool more_replies)

## Static Public Member Functions

static WriteParams | write_params_default () noexcept
| Default value for methods receiving a WriteParams.

## Static Public Attributes

static WriteParams | WRITE_PARAM_DEFAULT

## Detailed Description

This class contains additional information of a CacheChange.

## Member Function Documentation

## ◆ has_more_replies() [1/2]

bool has_more_replies | ( |  | ) | const

inline

## ◆ has_more_replies() [2/2]

WriteParams & has_more_replies | ( | bool | more_replies | ) |

inline

## ◆ related_sample_identity() [1/4]

SampleIdentity & related_sample_identity | ( |  | ) |

inline

Set the value of the related_sample_identity member.

Returns
  Reference to the related_sample_identity member.

## ◆ related_sample_identity() [2/4]

const SampleIdentity & related_sample_identity | ( |  | ) | const

inline

Get the value of the related_sample_identity member.

Returns
  Constant reference to the related_sample_identity member.

## ◆ related_sample_identity() [3/4]

WriteParams & related_sample_identity | ( | const SampleIdentity & | sample_id | ) |

inline

Set the value of the related_sample_identity member of this class.

Parameters

  sample_id | New value for the related_sample_identity member.

Returns
  Reference to the modified object in order to allow daisy chaining.

## ◆ related_sample_identity() [4/4]

WriteParams & related_sample_identity | ( | SampleIdentity && | sample_id | ) |

inline

Set the related_sample_identity member of this class.

Parameters

  sample_id | New value for the related_sample_identity member.

Returns
  Reference to the modified object in order to allow daisy chaining.

## ◆ sample_identity() [1/4]

SampleIdentity & sample_identity | ( |  | ) |

inline

Set the value of the sample_identity member.

Returns
  Reference to the sample_identity member.

## ◆ sample_identity() [2/4]

const SampleIdentity & sample_identity | ( |  | ) | const

inline

Get the value of the sample_identity member.

Returns
  Constant reference to the sample_identity member.

## ◆ sample_identity() [3/4]

WriteParams & sample_identity | ( | const SampleIdentity & | sample_id | ) |

inline

Set the value of the sample_identity member.

Parameters

  sample_id | New value for the sample_identity member.

Returns
  Reference to the modified object in order to allow daisy chaining.

## ◆ sample_identity() [4/4]

WriteParams & sample_identity | ( | SampleIdentity && | sample_id | ) |

inline

Set the value of the sample_identity member.

Parameters

  sample_id | New value for the sample_identity member.

Returns
  Reference to the modified object in order to allow daisy chaining.

## ◆ source_timestamp() [1/4]

Time_t & source_timestamp | ( |  | ) |

inline

Set the value of the source_timestamp member.

Returns
  Reference to the source_timestamp member.

## ◆ source_timestamp() [2/4]

Time_t source_timestamp | ( |  | ) | const

inline

Get the value of the source_timestamp member.

Returns
  Current value of the source_timestamp member.

## ◆ source_timestamp() [3/4]

WriteParams & source_timestamp | ( | const Time_t & | timestamp | ) |

inline

Set the source_timestamp member of this class.

Parameters

  timestamp | New value for the source_timestamp member.

Returns
  Reference to the modified object in order to allow daisy chaining.

## ◆ source_timestamp() [4/4]

WriteParams & source_timestamp | ( | Time_t && | timestamp | ) |

inline

Set the source_timestamp member of this class.

Parameters

  timestamp | New value for the source_timestamp member.

Returns
  Reference to the modified object in order to allow daisy chaining.

## ◆ user_write_data() [1/2]

std::shared_ptr< UserWriteData > user_write_data | ( |  | ) | const

inline

Retrieves the user write data.

Returns
  Shared pointer to the user write data.

## ◆ user_write_data() [2/2]

WriteParams & user_write_data | ( | std::shared_ptr< UserWriteData > | write_data | ) |

inline

Set the user write data.

Parameters

  write_data | New value for the user_write_data member.

Returns
  Reference to the modified object in order to allow daisy chaining.

## ◆ write_params_default()

WriteParams write_params_default | ( |  | ) |

inline static noexcept

Default value for methods receiving a WriteParams.

Will contain the following values on its members:

- sample_identity: Invalid SampleIdentity
- related_sample_identity: Invalid SampleIdentity
- source_timestamp: Invalid Time_t

Note
  This should not return a reference to the static value if this value is meant to be read and written from different threads.

## Member Data Documentation

## ◆ WRITE_PARAM_DEFAULT

WriteParams WRITE_PARAM_DEFAULT

static

The documentation for this class was generated from the following file:

- include/fastdds/rtps/common/WriteParams.hpp